#
# spec file for package cosmic-ext-tweaks
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         appname dev.edfloreshz.CosmicTweaks
Name:           cosmic-ext-tweaks
Version:        0.1.0+git20241006.40bd0d2
Release:        1.5
Summary:        A tweaking tool for the COSMIC DE
License:        GPL-3.0-only
URL:            https://github.com/edfloreshz/cosmic-tweaks
Source0:        %{name}-%{version}.tar.zst
Source1:        vendor.tar.zst
BuildRequires:  cargo-packaging
BuildRequires:  fdupes
BuildRequires:  git-core
BuildRequires:  hicolor-icon-theme
BuildRequires:  just
BuildRequires:  pkgconfig
BuildRequires:  rust >= 1.80
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(xkbcommon)

%description
This is a tool which gives you advanced tweaking options for the Cosmic Desktop

%prep
%autosetup -a1

%build
just build-release

%install
just rootdir=%{buildroot} prefix=%{_prefix} install
%suse_update_desktop_file %{appname}
%fdupes %{buildroot}

%check
%{cargo_test}

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{appname}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{appname}.svg

%changelog
* Fri Oct 11 2024 Richard Rahl <rrahl0@opensuse.org>
- Update to version 0.1.0+git20241006.40bd0d2:
  * Update README.md
  * docs: Extend metainfo
  * docs: Add Flathub badge to README
  * chore: update libcosmic
  * v0.1.1
  * improv: move available themes to context drawer
  * add: brand colors
  * Update README.md
  * add: flatpak-cargo-generator.py
  * fix: themes not being applied
  * fix: bring back OnlyShowIn=COSMIC
  * fix: remove COSMIC from OnlyShowIn
  * fix: add caption to screenshots
  * fix: suggestions for flathub release
  * fix: justfile
  * improv: use llvm18 + mold in flatpak
  * improv: tweaks can now load more themes
  * update metainfo for COSMIC Store featured page
- update upstream url
* Thu Aug  8 2024 Richard Rahl <rrahl0@opensuse.org>
- standardize packaging with also fixes for miscellaneous hardcoding
  filenames, using @PARENT_TAG where applicable, and be more specific
  with files in the %%files section (so no non-wanted files are getting
  added
* Wed Aug  7 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 0.1.0+git20240717.199cf69:
  * update dependencies
* Wed May 15 2024 Richard Rahl <rrahl0@disroot.org>
- initial packaging
